Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Bill of Lading
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
      POST
    • Get all BL Screening Results
      GET
    • Get a single BL screening result
      GET
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
      GET
    • Enable tracking for a screened Bill of Lading
      PUT
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
      GET
    • Disable tracking for a Bill of Lading
      PUT
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Bill of Lading

Get all BL Screening Results

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/blv
Retrieve all the available Bill of Lading screening results for the account.
Refer to Bill of Lading Verification to see how to use this endpoint in a bill of lading screening workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Every bill of lading screening on the account, newest first, with its latest screening result.
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/blv?username=undefined&blv_phase_status=undefined&blv_no__istartswith=undefined&archived=undefined&order_by=undefined&filter_status=undefined&limit=undefined&offset=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default
{
    "meta": {
        "limit": 3,
        "next": "/api/v1/blv?api_key=&username=&limit=3&offset=3",
        "offset": 0,
        "previous": null,
        "total_count": 5
    },
    "objects": [
        {
            "archived": false,
            "archived_date": null,
            "blv_no": "MEDU11111111",
            "blv_phase_status": "SCREEN",
            "blv_type": "string",
            "client_reference": null,
            "creation_date": "2022-05-23 11:30:03.097275+00:00",
            "id": 13523,
            "is_trackable": false,
            "is_live_trackable": false,
            "last_screening_result": {
                "carrier_severity": "PENDING",
                "details": {},
                "id": 13492,
                "overall_severity": "PENDING",
                "port_of_destination": null,
                "port_of_origin": null,
                "screened_ports": [],
                "screened_ships": [],
                "screening_date": "2022-10-25T15:04:05.838723",
                "screening_status": "NOT_FOUND"
            },
            "notifications": [],
            "num_notifications": 0,
            "overall_severity": "PENDING",
            "resource_uri": "/api/v1/blv/13523",
            "scac": "MSCU",
            "scac_name": "MSC Mediterranean Shipping Co",
            "screening_status": "NOT_FOUND",
            "ship_transactions": []
        },
        {
            "archived": false,
            "archived_date": null,
            "blv_no": "213833941",
            "blv_phase_status": "SCREEN",
            "blv_type": "string",
            "client_reference": "",
            "creation_date": "2022-01-24 15:48:35.321755+00:00",
            "id": 11240,
            "is_trackable": false,
            "is_live_trackable": false,
            "last_screening_result": {
                "carrier_severity": "OK",
                "details": {
                    "cargo": {
                        "containers_no": [
                            "MSKU8899921",
                            "MRKU5312601",
                            "MSKU1997166",
                            "MRKU3193226",
                            "MRKU3291644",
                            "MSKU9708655",
                            "TCNU5291157"
                        ]
                    },
                    "container_numbers": [
                        "MSKU8899921",
                        "MRKU5312601",
                        "MSKU1997166",
                        "MRKU3193226",
                        "MRKU3291644",
                        "MSKU9708655",
                        "TCNU5291157"
                    ],
                    "ordered_port_unlocodes": [
                        "SIKOP",
                        "OMSLL",
                        "SADMM"
                    ],
                    "voyages": [
                        {
                            "arrival_port": {
                                "city": "Salalah, Oman",
                                "country": null,
                                "estimated_time": "13.11.2021 17:16",
                                "unlocode": "OMSLL"
                            },
                            "departure_port": {
                                "city": "Koper, Slovenia",
                                "country": null,
                                "estimated_time": "25.10.2021 10:34",
                                "unlocode": "SIKOP"
                            },
                            "imo_number": 9784283,
                            "is_custom": false,
                            "mode": "Unknown",
                            "seq": 1,
                            "transport_name": "MAERSK HIDALGO"
                        },
                        {
                            "arrival_port": {
                                "city": "Dammam, Saudi Arabia",
                                "country": null,
                                "estimated_time": "02.12.2021 23:54",
                                "unlocode": "SADMM"
                            },
                            "departure_port": {
                                "city": "Salalah, Oman",
                                "country": null,
                                "estimated_time": "27.11.2021 21:42",
                                "unlocode": "OMSLL"
                            },
                            "imo_number": 9235567,
                            "is_custom": false,
                            "mode": "Unknown",
                            "seq": 2,
                            "transport_name": "MAERSK GAIRLOCH"
                        }
                    ]
                },
                "id": 11209,
                "overall_severity": "CRITICAL",
                "port_of_destination": {
                    "code": "SADMM",
                    "name": "Dammam, Saudi Arabia"
                },
                "port_of_origin": {
                    "code": "SIKOP",
                    "name": "Koper, Slovenia"
                },
                "screened_ports": [
                    {
                        "code": "SIKOP",
                        "country": {
                            "code": "SVN",
                            "iso_3166_1_alpha_2": "SI",
                            "name": "Slovenia"
                        },
                        "name": "Koper",
                        "overall_severity": "OK",
                        "seq": 0
                    },
                    {
                        "code": "OMSLL",
                        "country": {
                            "code": "OMN",
                            "iso_3166_1_alpha_2": "OM",
                            "name": "Oman"
                        },
                        "name": "Salalah",
                        "overall_severity": "OK",
                        "seq": 1
                    },
                    {
                        "code": "SADMM",
                        "country": {
                            "code": "SAU",
                            "iso_3166_1_alpha_2": "SA",
                            "name": "Saudi Arabia"
                        },
                        "name": "Dammam",
                        "overall_severity": "OK",
                        "seq": 3
                    }
                ],
                "screened_ships": [
                    {
                        "document_id": 2860687,
                        "flag": {
                            "code": "SGP",
                            "iso_3166_1_alpha_2": "SG",
                            "name": "Singapore"
                        },
                        "imo_number": "9784283",
                        "overall_severity": "CRITICAL",
                        "seq": 0,
                        "ship_name": "MAERSK HIDALGO",
                        "transaction_id": 1712956
                    },
                    {
                        "document_id": 2860686,
                        "flag": {
                            "code": "SGP",
                            "iso_3166_1_alpha_2": "SG",
                            "name": "Singapore"
                        },
                        "imo_number": "9235567",
                        "overall_severity": "WARNING",
                        "seq": 1,
                        "ship_name": "MAERSK GAIRLOCH",
                        "transaction_id": 1712955
                    }
                ],
                "screening_date": "2022-10-25T15:03:58.841297",
                "screening_status": "SCREENING_COMPLETED"
            },
            "notifications": [
                {
                    "id": 28702405,
                    "creation_date": "2022-01-24T15:49:04.226842+00:00",
                    "document_id": null,
                    "event": {
                        "name": "BLV_SCREENING_COMPLETE"
                    }
                }
            ],
            "num_notifications": 1,
            "overall_severity": "CRITICAL",
            "resource_uri": "/api/v1/blv/11240",
            "scac": "MAEU",
            "scac_name": "Maersk Line A/S",
            "screening_status": "SCREENING_COMPLETED",
            "ship_transactions": [
                "/api/v1/transaction/1712956",
                "/api/v1/transaction/1712955"
            ]
        },
        {
            "archived": false,
            "archived_date": null,
            "blv_no": "MEDUNF871341",
            "blv_phase_status": "SCREEN",
            "blv_type": "string",
            "client_reference": "",
            "creation_date": "2022-01-24 14:15:58.925414+00:00",
            "id": 11237,
            "is_trackable": false,
            "is_live_trackable": false,
            "last_screening_result": {
                "carrier_severity": "OK",
                "details": {
                    "cargo": {
                        "containers_no": [
                            "CXDU2057330"
                        ]
                    },
                    "container_numbers": [
                        "CXDU2057330"
                    ],
                    "ordered_port_unlocodes": [
                        "CNNGB",
                        "EGDAM"
                    ],
                    "voyages": [
                        {
                            "arrival_port": {
                                "city": "Tekirdag, Turkey",
                                "country": null,
                                "estimated_time": "18.09.2021 00:00",
                                "unlocode": null
                            },
                            "departure_port": {
                                "city": "Ningbo, China",
                                "country": null,
                                "estimated_time": "14.08.2021 00:00",
                                "unlocode": "CNNGB"
                            },
                            "imo_number": 9703318,
                            "is_custom": false,
                            "mode": "Unknown",
                            "seq": 1,
                            "transport_name": "MSC ZOE"
                        },
                        {
                            "arrival_port": {
                                "city": "Damietta, Egypt",
                                "country": null,
                                "estimated_time": "09.10.2021 00:00",
                                "unlocode": "EGDAM"
                            },
                            "departure_port": {
                                "city": "Ningbo, China",
                                "country": null,
                                "estimated_time": "14.08.2021 00:00",
                                "unlocode": "CNNGB"
                            },
                            "imo_number": 9169055,
                            "is_custom": false,
                            "mode": "Unknown",
                            "seq": 2,
                            "transport_name": "MSC ADRIANA"
                        }
                    ]
                },
                "id": 11206,
                "overall_severity": "CRITICAL",
                "port_of_destination": {
                    "code": "EGDAM",
                    "name": "Damietta, Egypt"
                },
                "port_of_origin": {
                    "code": "CNNGB",
                    "name": "Ningbo, China"
                },
                "screened_ports": [
                    {
                        "code": "CNNGB",
                        "country": {
                            "code": "CHN",
                            "iso_3166_1_alpha_2": "CN",
                            "name": "China"
                        },
                        "name": "Ningbo",
                        "overall_severity": "OK",
                        "seq": 0
                    },
                    {
                        "code": null,
                        "country": null,
                        "name": "Tekirdag, Turkey",
                        "overall_severity": null,
                        "seq": 1
                    },
                    {
                        "code": "EGDAM",
                        "country": {
                            "code": "EGY",
                            "iso_3166_1_alpha_2": "EG",
                            "name": "Egypt"
                        },
                        "name": "Damietta",
                        "overall_severity": "OK",
                        "seq": 3
                    }
                ],
                "screened_ships": [
                    {
                        "document_id": 2860326,
                        "flag": {
                            "code": "PAN",
                            "iso_3166_1_alpha_2": "PA",
                            "name": "Panama"
                        },
                        "imo_number": "9703318",
                        "overall_severity": "CRITICAL",
                        "seq": 0,
                        "ship_name": "MSC ZOE",
                        "transaction_id": 1712647
                    },
                    {
                        "document_id": 2860325,
                        "flag": {
                            "code": "LBR",
                            "iso_3166_1_alpha_2": "LR",
                            "name": "Liberia"
                        },
                        "imo_number": "9169055",
                        "overall_severity": "OK",
                        "seq": 1,
                        "ship_name": "MSC ADRIANA",
                        "transaction_id": 1712646
                    }
                ],
                "screening_date": "2022-10-25T15:03:58.833058",
                "screening_status": "SCREENING_COMPLETED"
            },
            "notifications": [
                {
                    "id": 28699461,
                    "creation_date": "2022-01-24T14:16:26.712690+00:00",
                    "document_id": null,
                    "event": {
                        "name": "BLV_SCREENING_COMPLETE"
                    }
                }
            ],
            "num_notifications": 1,
            "overall_severity": "CRITICAL",
            "resource_uri": "/api/v1/blv/11237",
            "scac": "MSCU",
            "scac_name": "MSC Mediterranean Shipping Co",
            "screening_status": "SCREENING_COMPLETED",
            "ship_transactions": [
                "/api/v1/transaction/1712646",
                "/api/v1/transaction/1712647"
            ]
        }
    ]
}
Modified at 2026-09-30 13:56:35
Previous
Submit a Bill of Lading for screening
Next
Get a single BL screening result
Built with